Subject: RE: [eap] Re: I-D ACTION: draft-vanderveen-eap-make-00.txt

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 22 Sep 2005 13:33:20 -0400

Hi Bernard, 

 > 
 > The IANA Registartion page for EAP Type codes is located here:
 > http://www.iana.org/assignments/eap-numbers
 > 
 > That page shows that EAP Type 27 has been allocated to EAP Mutual 
 > Authentication w/Key Exchange (MAKE), on request of Romain 
 > Berrendonner. 
 > 
 > Despite this, the IANA Considerations section of this 
 > document requests 
 > IANA to allocate a new EAP Type for EAP-MAKE. 
 > 
 > RFC 3748 Section 6.2 states:
 > 
 >    Allocation of blocks of method Types (more than one for a given
 >    purpose) should require IETF Consensus.
 > 
 > Since an EAP Type Code has already been allocated to 
 > EAP-MAKE, the IANA 
 > request in this document falls into the "block allocation" category.
 > 
 > RFC 2434 describes "IETF Consensus" as follows:
 > 
 >            Specifically, new assignments are made via
 >            RFCs approved by the IESG. Typically, the IESG will seek
 >            input on prospective assignments from appropriate persons
 >            (e.g., a relevant Working Group if one exists). 

=> So I guess there are two options for progressing forward:
a. Change the name of the method, or 
b. Go for the block allocation, which needs IETF concensus.

I don't know if the existing allocation (type 27) is being used by anyone
but we're happy with either option, whatever works quicker is fine with
us. Does it matter which path we take? It seems that either way we 
will need WG concensus to make progress, right?

Thx,
Hesham

 > 
 > 
 > _______________________________________________
 > eap mailing list
 > [email-masked]
 > http://mail.frascone.com/mailman/listinfo/eap
 > 

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap

---

From: Bernard Aboba <[email-masked]>
Date: Thu, 22 Sep 2005 11:11:33 -0700 (PDT)

> will need WG concensus to make progress, right?

The Block Allocation option is only available if 
draft-vanderveen-eap-make-00 is in fact a specification for the EAP MAKE 
protocol that was allocated EAP Type 27 by  IANA. 

Otherwise, you will need to change the name. 
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap

---

From: Jari Arkko <[email-masked]>
Date: Thu, 22 Sep 2005 21:55:50 +0300

>Otherwise, you will need to change the name. 
And the third possibility is that if Type 27 == draft-vanderveen
then it may be that you are describing the deployed version,
in which case you already have allocation and the usual Individual
RFC submission rules apply, i.e., no EAP WG Expert Review.
Though of course we'd be happy to run one for you.

--Jari